Index: branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90
===================================================================
--- branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 5477)
+++ branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 5572)
@@ -129,8 +129,9 @@
          &             nn_bench, nn_timing
       NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
-         &             jpizoom, jpjzoom, jperio
+         &             jpizoom, jpjzoom, jperio, ln_use_jattr
       !!----------------------------------------------------------------------
       !
       cltxt = ''
+      cxios_context = 'nemo'
       !
       !                             ! Open reference namelist and configuration namelist files
@@ -162,22 +163,22 @@
 #if defined key_iomput
       IF( Agrif_Root() ) THEN
-         IF( lk_cpl ) THEN
+         IF( lk_oasis ) THEN
             CALL cpl_init( ilocal_comm )                               ! nemo local communicator given by oasis
             CALL xios_initialize( "oceanx",local_comm=ilocal_comm )    ! send nemo communicator to xios
          ELSE
-            CALL  xios_initialize( "nemo",return_comm=ilocal_comm )    ! nemo local communicator given by xios
+            CALL  xios_initialize( "for_xios_mpi_id",return_comm=ilocal_comm )    ! nemo local communicator given by xios
          ENDIF
       ENDIF
       ENDIF
-      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection
+      narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection
 #else
-      IF( lk_cpl ) THEN
+      IF( lk_oasis ) THEN
          IF( Agrif_Root() ) THEN
             CALL cpl_init( ilocal_comm )                               ! nemo local communicator given by oasis
          ENDIF
-         narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
+         narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
       ELSE
          ilocal_comm = 0
-         narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop )                ! Nodes selection (control print return in cltxt)
+         narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop )                ! Nodes selection (control print return in cltxt)
       ENDIF
 #endif
@@ -233,5 +234,5 @@
          WRITE(numout,*) '                       NEMO team'
          WRITE(numout,*) '            Ocean General Circulation Model'
-         WRITE(numout,*) '                  version 3.4  (2011) '
+         WRITE(numout,*) '                  version 3.6  (2015) '
          WRITE(numout,*)
          WRITE(numout,*)
Index: branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_data.F90
===================================================================
--- branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_data.F90	(revision 5477)
+++ branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_data.F90	(revision 5572)
@@ -40,4 +40,5 @@
    CHARACTER(len=128) :: &
       & alt_file                       !: altimeter file
+   !! $Id$
 CONTAINS
    SUBROUTINE ooo_data_init( ld_cl4 )
Index: branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_intp.F90
===================================================================
--- branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_intp.F90	(revision 5477)
+++ branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_intp.F90	(revision 5572)
@@ -16,4 +16,5 @@
    PUBLIC ooo_interp
 
+   !! $Id$
    CONTAINS
 
Index: branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90
===================================================================
--- branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90	(revision 5477)
+++ branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90	(revision 5572)
@@ -22,4 +22,5 @@
    PUBLIC ooo_rea_dri
 
+   !! $Id$
 CONTAINS
    SUBROUTINE ooo_rea_dri(kfile)
Index: branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_utils.F90
===================================================================
--- branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_utils.F90	(revision 5477)
+++ branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_utils.F90	(revision 5572)
@@ -10,4 +10,5 @@
    REAL(kind=dp), PARAMETER :: obfilldbl=99999.
 
+   !! $Id$
    CONTAINS
 
Index: branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90
===================================================================
--- branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90	(revision 5477)
+++ branches/UKMO/dev_r5107_hadgem3_cplseq/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90	(revision 5572)
@@ -29,4 +29,5 @@
    END INTERFACE
 
+   !! $Id$
    CONTAINS
 
